Subject: Re: bug#79300: fold-nbsp test failure

From: Bruno Haible <[email-masked]>
Date: Tue, 26 Aug 2025 11:47:23 +0200

Collin Funk wrote:
> My initial idea was to check if U+2007 FIGURE SPACE and U+00A0 NO-BREAK
> SPACE are blank using grep. But apparently Solaris grep does not handle
> multibyte characters. Therefore, FIGURE SPACE cannot be checked. :(

I'm not sure we are talking about the same thing. I reported the test
failure from the fold-nbsp test, as committed in git. It does not use
'grep'. It uses 'compare' (from tests/init.sh).

Bruno